Subject: Re: bug#38392: zap-up-to-char should appear in "Deletion and Killing" Emacs info section and "Command Index"

From: Justin Paston-Cooper <[email-masked]>
Date: Wed, 27 Nov 2019 16:57:43 +0100

What about having a class of inclusivity modifiers of the form `C-I
element` (I is isomorphic to set of inclusivities {before, through,
after}), element is either RET for defining inclusivity alone, or a
`regexp RET` for including a certain pattern, similar to C-u, which
would pass an argument to things like C-f, C-b, C-s and do the
appropriate?

On Wed, 27 Nov 2019 at 16:42, Drew Adams <[email-masked]> wrote:
>
> > not zap-***up***-to-char.
>
> In Isearch we now have `isearch-yank-until-char'.
>
> So we now have two different ways to name something
> that deals with text from point forward to, but not
> including, the position of some char: "up to" vs
> "until".
>
> It would be better to have a single way to name this.
>
> ---
>
> Considering that the names `zap-to-char' and
> `zap-up-to-char' are so close, and they can be
> confused (witness Eli's missing the difference
> here, at first), "until" seems a bit better.
>
> On the other hand, "until" has a strong connotation
> of time, and a weak one of space/distance.  And "up
> to" is pretty clear, if taken apart from "to".
>
> Really, `zap-to-char' should probably be called
> `zap-through-char'.  I'd suggest using the terms
> "until" (for "up to") and "through" (for zap "to").
>
> In the improvements I suggested for Isearch (bug
> #37417, emacs-devel thread "PATCH:
> isearch-yank-until-match" and part of thread
> "PATCH: isearch-yank-until-char"), I used
> "through" for commands that act from point through
> some position: `isearch-yank-through-new-match',
> `isearch-yank-through-key-move', and
> `isearch-yank-through-rec-edit-move'.